Bug 236483 - graphics/proj : Update to 6.0.0
Summary: graphics/proj : Update to 6.0.0
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-12 08:46 UTC by wen
Modified: 2019-05-17 00:14 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (fmysh)


Attachments
Update to 6.0.0 (8.03 KB, text/plain)
2019-03-12 08:46 UTC, wen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wen 2019-03-12 08:46:28 UTC
Created attachment 202808 [details]
Update to 6.0.0

- Update to 6.0.0
- Add missing DEPENDS
- Add TEST_TARGET
- Take maintainership
Comment 1 wen 2019-03-13 00:38:51 UTC
Please hold the PR, it break at least graphics/libgeotiff.

wen
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-22 19:18:19 UTC
libgeotiff 1.5.0 released. It requires proj >= 6.
Comment 3 Wen Heping freebsd_committer 2019-03-23 00:21:57 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #2)
Then I shall commit the PR with maintainer's approvement.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-23 13:11:44 UTC
(In reply to Wen Heping from comment #3)

Thanks. I'll commit libgeotiff 1.5.0 after that.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-09 13:20:36 UTC
@wen, are you ready to commit proj 6 update?
Comment 6 wen 2019-04-09 14:03:22 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #5)
Would you commit it? Today I am busy :)

Thanks !

wen
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-09 19:04:47 UTC
(In reply to wen from comment #6)

I could wait for you. :)

BTW, C++11 required for building PROJ 6 [1]. You might need to add USES=compiler:c++11-lang so that it would build on powerpc.

[1] https://github.com/OSGeo/proj.4/releases
- C++11 required for building PROJ (#1203)
Comment 8 commit-hook freebsd_committer 2019-04-11 03:35:08 UTC
A commit references this bug:

Author: wen
Date: Thu Apr 11 03:34:34 UTC 2019
New revision: 498634
URL: https://svnweb.freebsd.org/changeset/ports/498634

Log:
  - Update to 6.0.0
  - Add missing DEPENDS
  - Add TEST_TARGET
  - Take maintainership
  - Add USES=compiler:c++11-lang to make build on powerpc(Thanks sunpoet@)

  PR:		236483
  Submitted by:	wenheping2000@hotmail.com(myself)
  Approved by:	maintainer(timeout, >= 30 days)

Changes:
  head/graphics/proj/Makefile
  head/graphics/proj/distinfo
  head/graphics/proj/pkg-plist
Comment 9 wen 2019-05-17 00:14:35 UTC
Superceded by 237932.